Home//
REST API Reference
/- Show content data export
Create content data export
Cancel content data export
Download content data export
Data Export
Show content data export
You can view the status of your job by sending a GET request to the URL https://api.intercom.io/export/content/data/{job_identifier} - the {job_identifier} is the value returned in the response when you first created the export job. More on it can be seen in the Export Job Model.
🚧 Jobs expire after two days All jobs that have completed processing (and are thus available to download from the provided URL) will have an expiry limit of two days from when the export ob completed. After this, the data will no longer be available.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
- The production API serverhttps://api.intercom.io/export/content/data/{job_identifier}
- The european API serverhttps://api.eu.intercom.io/export/content/data/{job_identifier}
- The australian API serverhttps://api.au.intercom.io/export/content/data/{job_identifier}
curl -i -X GET \
'https://api.intercom.io/export/content/data/{job_identifier}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.9'successful
The current state of your job.
Enum:"pending""in_progress""failed""completed""no_data""canceled"
Example:"pending"
The time after which you will not be able to access the data.
Example:"1674917488"
Response
{ "job_identifier": "nhhv3bazoxu29hxd", "status": "pending", "download_url": "", "download_expires_at": "" }